Package org.kapott.hbci.GV.generators

## Class GenLastSEPA00800202

- java.lang.Object
- - org.kapott.hbci.GV.generators.AbstractSEPAGenerator<java.util.Properties>
  - - org.kapott.hbci.GV.generators.GenLastSEPA00800202

All Implemented Interfaces:
  `ISEPAGenerator<java.util.Properties>`

    public class GenLastSEPA00800202
    extends AbstractSEPAGenerator<java.util.Properties>

SEPA-Generator fuer pain.008.002.02.

### Field Summary

### Fields inherited from interface org.kapott.hbci.GV.generators.ISEPAGenerator

`ENCODING`

### Constructor Summary

Constructors
`GenLastSEPA00800202()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `generate​(java.util.Properties sepaParams, java.io.OutputStream os, boolean validate)` Schreibt den Job als SEPA-XML in den Stream.
`SepaVersion` `getSepaVersion()` Liefert die SEPA-Version des Generators.

### Methods inherited from class org.kapott.hbci.GV.generators.AbstractSEPAGenerator

`marshal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenLastSEPA00800202

    public GenLastSEPA00800202()

### Method Detail

#### getSepaVersion

    public SepaVersion getSepaVersion()

Description copied from interface: `ISEPAGenerator`
Liefert die SEPA-Version des Generators. Wenn die Methode implementiert wurde und eine "vollqualifizierte" SEPA-Version zurueckliefert, in der sowohl URN als auch FILE gesetzt sind, dann wird die Schema-Location dem Marshaller mittels "Marshaller.JAXB_SCHEMA_LOCATION" uebergeben, was bewirkt, dass im Root-Element das Attribute "xsi:schemaLocation" gesetzt wird. Ausserdem kann dann die Schema-Validierung aktiviert werden.

Specified by:
  `getSepaVersion` in interface `ISEPAGenerator<java.util.Properties>`
Overrides:
  `getSepaVersion` in class `AbstractSEPAGenerator<java.util.Properties>`
Returns:
  die zu deklarierende Schema-Location oder NULL, falls nichts angegeben werden soll.
See Also:
  `AbstractSEPAGenerator.getSepaVersion()`

#### generate

    public void generate​(java.util.Properties sepaParams,
                         java.io.OutputStream os,
                         boolean validate)
                  throws java.lang.Exception

Description copied from interface: `ISEPAGenerator`
Schreibt den Job als SEPA-XML in den Stream.

Parameters:
  `sepaParams` - die zu generierenden Daten. Urspruenglich wurde hier direkt eine Instanz von "AbstractSEPAGV" uebergeben und dort job.getSEPAParam($targetname(ohne "sepa.") aufgerufen. Das hatte jedoch den Nachteil, dass fuer die Instanziierung eines "AbstractSEPAGV" (welche von "HBCIJobImpl" abgeleitet ist) ein HBCIHandler erforderlicher. Der erfordert jedoch einen initialisierten und geoeffneten Passport, was wiederrum bedeutet, dass das SEPA-XML nur innerhalb eines HBCI-Dialogs erzeugt werden kann. Schon allein zur besseren Testbarkeit sollte sich das XML jedoch auch ohne HBCI-Initialisierung erstellen lassen. Daher werden hier nur noch die Properties uebergeben aus denen sich der SEPA-Generator dann anhand der Parameternamen bedient.
  `os` - der Stream.
  `validate` - true, wenn das erzeugte XML gegen das PAIN-Schema validiert werden soll.
Throws:
  `java.lang.Exception`
See Also:
  `ISEPAGenerator.generate(java.lang.Object, java.io.OutputStream, boolean)`